/* ================================================== normal header start ================================================ */
.site-header  { padding: 15px 0px; position: fixed; top: 0px; left:  0px; width: 100%; z-index: 100; transition: all 0.5s; -webkit-transition: all 0.5s; background: var(--blue-color); }
.header-inner { display: flex; display: -webkit-flex; align-items: center; -webkit-align-items: center; justify-content: space-between; -webkit-justify-content: space-between; }
.site-branding { width: 130px; }
.site-branding a { display: block; }
.site-branding img { width: 100%; height: auto; }

body.scrolled .site-header { padding: 10px 0px; }

.header-inner .menu-toggle { display: none; }
.main-navigation { gap: 22px; }
.menu-header-menu-container #primary-menu { display: flex; display: -webkit-flex; gap: 18px; align-items: center; -webkit-align-items: center; }
.menu-header-menu-container #primary-menu li a { text-transform: capitalize; position: relative; color: var(--white); font-size: 14px; line-height: 1.2; font-weight: 500; }
.menu-header-menu-container #primary-menu li a:after { content: ""; position: absolute; bottom: -5px; left: 0; width: 0%; height: 1px; background-color: var(--white); transition: all 0.5s; -webkit-transition: all 0.5s; }
.menu-header-menu-container #primary-menu li a:hover:after { width: 100%; }
.menu-header-menu-container #primary-menu li.current-menu-item  a,
.menu-header-menu-container #primary-menu li.current-menu-ancestor > a,
.menu-header-menu-container #primary-menu li.current_page_ancestor > a,
.menu-header-menu-container #primary-menu .menu-item-has-children .sub-menu li.current-menu-item a { color:#9ca985; }
.menu-header-menu-container #primary-menu li.current-menu-item  a:after,
.menu-header-menu-container #primary-menu li.current-menu-ancestor > a:after,
.menu-header-menu-container #primary-menu li.current_page_ancestor > a:after { width: 0%; background: #9ca985; }
.header-buttons { gap: 8px; }
.header-buttons .white-btn, .header-buttons .beige-btn { padding: 0px; }
.header-buttons .white-btn .wp-block-button__link , .header-buttons .beige-btn .wp-block-button__link { padding: 10px 20px; }

.header-buttons .beige-btn  { display: none; }

.menu-item-has-children { position: relative; }
.menu-item-has-children .sub-menu { position: absolute; top: 110%; left: -20px; width: 266px; background-color: var(--white-color-100); padding: 10px 20px; pointer-events: none; opacity: 0; visibility: hidden; transition: all 0.5s; -webkit-transition: all 0.5s; }
.menu-item-has-children:hover .sub-menu { pointer-events: auto; opacity: 1; visibility: visible; }
.menu-header-menu-container #primary-menu .menu-item-has-children .sub-menu li a { text-transform: unset; color: var(--blue-color); font-size: 14px; line-height: 1.2; font-weight: 500; }
.menu-header-menu-container #primary-menu .menu-item-has-children .sub-menu li a:after { display: none; }
.menu-header-menu-container #primary-menu .menu-item-has-children .sub-menu li { padding-bottom: 7px; margin-bottom: 7px; border-bottom: 1px solid var(--white-color-200); }
.menu-header-menu-container #primary-menu .menu-item-has-children .sub-menu li:last-child { padding-bottom: 0px; margin-bottom: 0px; border-bottom: none; }
.menu-header-menu-container #primary-menu .menu-item-has-children .sub-menu li a:hover { color: var(--green-color); }

.white-btn button{border: none;background: transparent;}

/* ================================================== media query start ================================================ */
@media screen and (max-width:1199px){
    /* ================================================== header start ================================================ */

    .site-header { padding: 12px 0px; }
    body.scrolled .site-header { padding: 8px 0px; }
    .site-branding { width: 110px; }

    .main-navigation { gap: 14px; }
    .menu-header-menu-container #primary-menu { gap: 14px; }
    .menu-header-menu-container #primary-menu li a { font-size: 12px; }
    .header-buttons { gap: 8px; }
    .header-buttons .white-btn, .header-buttons .beige-btn { font-size: 12px; }
    .header-buttons .white-btn .wp-block-button__link , .header-buttons .beige-btn .wp-block-button__link { padding: 8px 16px; }

    
}
@media screen and (max-width:991px){
    /* ================================================== normal header start ================================================ */
    .site-header {  padding: 10px 0px; }
    body.scrolled .site-header { padding: 8px 0px; }

    .header-inner .menu-toggle { display: block; }
    .menu-header-menu-container { position: fixed; z-index: -1; top: 77px; right: 0; height: calc(100dvh - 77px); width: 100%; transform: translateX(100%); background-color: var(--blue-color); overflow: hidden; transition: all 0.2s ease-in-out; display: flex; flex-direction: column; justify-content: center; }
    body.scrolled .menu-header-menu-container { height: calc(100dvh - 73px); top: 73px; }
    .main-navigation { flex-direction: row-reverse; }


    .header-inner .menu-toggle { background: transparent; border: none; padding: 0px; }
    .header-inner .menu-toggle img:first-child { display: block; }
    .header-inner .menu-toggle img:last-child { display: none; }
    .header-inner .menu-toggle.toggled img:first-child { display: none; }
    .header-inner .menu-toggle.toggled img:last-child { display: block; }
    .mobile-nav-open .menu-header-menu-container { transform: translateX(0); -webkit-transform: translateX(0); }
    .menu-header-menu-container #primary-menu { display: block; overflow-y: auto; text-align: center; padding: 16px; }
    .menu-header-menu-container #primary-menu li a { font-size: 20px; line-height: 24px; }
    .menu-header-menu-container #primary-menu li { margin-bottom: 30px; }
    .menu-header-menu-container #primary-menu li:last-child { margin-bottom: 0px; }
    .menu-item-has-children .sub-menu { opacity: 1; visibility: visible; padding: 0px 20px; position: relative; left: 0px; margin: 0px auto; width: 100%; max-width: 400px; border-radius: 8px; max-height: 0px; overflow: hidden; transition: all 0.5s; -webkit-transition: all 0.5s; }
    .menu-item-has-children .sub-menu.active { max-height: 1000px; padding: 10px 20px; margin-top: 10px; }

    .menu-header-menu-container #primary-menu li.menu-item-has-children > a { position: relative; }
    .menu-header-menu-container #primary-menu li.menu-item-has-children > a::before { content: '>'; position: absolute; top: 50%; right: -24px; transform: translate(0%, -50%) rotate(90deg); width: 24px; height: 24px; transition: all 0.5s; }
    .menu-header-menu-container #primary-menu li.menu-item-has-children:has(.sub-menu.active) > a::before { transform: translate(0%, -50%) rotate(-90deg); }
    


}   
@media screen and (max-width:767px){
    /* ================================================== normal header start ================================================ */
    .site-header, body.scrolled .site-header { padding: 8px 0px; }
    
    .menu-header-menu-container { top: 63px; height: calc(100dvh - 63px); }
    body.scrolled .menu-header-menu-container { top: 63px; height: calc(100dvh - 63px); }

    .site-branding { width: 90px; }
    .main-navigation { gap: 7px; }
    .header-buttons { gap: 5px; }
    .header-buttons .white-btn, .header-buttons .beige-btn {  font-size: 10px; }
    .header-inner .menu-toggle { width: 28px; height: 28px; }

    
}
